Bug 440030 - Screens "too big" with xinerama enabled
Screens "too big" with xinerama enabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 09:51 EDT by Andrew Overholt
Modified: 2009-01-09 02:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:45:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf (1.42 KB, application/octet-stream)
2008-04-01 09:51 EDT, Andrew Overholt
no flags Details
Xorg.log (76.81 KB, text/plain)
2008-04-01 09:51 EDT, Andrew Overholt
no flags Details

  None (edit)
Description Andrew Overholt 2008-04-01 09:51:18 EDT
Description of problem:
My desktop is too large for my monitor (*both* monitors -- I think it's called a
viewport?) when I use xinerama in F8.  Without xinerama enabled, the two screens
are the correct size (1280x1024).

Version-Release number of selected component (if applicable):
1.3.0.0-44.fc8

How reproducible:
Always

Steps to Reproduce:
1. Get a PCI-E radeon card (RV370 [Sapphire X550 Silent])
2. Get a PCI radeon card (RV280 [Radeon 9200 PRO])
3. Use attached xorg.conf
  
Actual results:
Two desktops larger than monitors

Expected results:
Two desktops that are the correct size, acting as one desktop.

Additional info:
xinerama=no gives two desktops of the correct size.
Comment 1 Andrew Overholt 2008-04-01 09:51:18 EDT
Created attachment 299890 [details]
xorg.conf
Comment 2 Andrew Overholt 2008-04-01 09:51:52 EDT
Created attachment 299891 [details]
Xorg.log
Comment 3 Matěj Cepl 2008-04-02 18:57:25 EDT
What is the output of xrandr -q, please?
Comment 4 Andrew Overholt 2008-04-03 08:21:14 EDT
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 1280 x 1200
VGA-0 disconnected (normal left inverted right x axis y axis)
DVI-0 connected 1280x1024+0+0 (normal left inverted right x axis y axis)
376mm x 301mm
   1280x1024      60.0*+   75.0     59.9  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        75.0     72.8     66.7     60.0  
   720x400        70.1  
S-video disconnected (normal left inverted right x axis y axis)

Screen 1: minimum 320 x 200, current 1280 x 1024, maximum 1280 x 1200
VGA-0 disconnected (normal left inverted right x axis y axis)
DVI-0 connected 1280x1024+0+0 (normal left inverted right x axis y axis)
376mm x 301mm
   1280x1024      60.0*+   75.0     59.9  
   1152x864       75.0     74.8  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        75.0     72.8     66.7     60.0  
   720x400        70.1  
S-video disconnected (normal left inverted right x axis y axis)
Comment 5 Bug Zapper 2008-11-26 05:21:02 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Andrew Overholt 2008-11-26 10:09:23 EST
I ended up buying a new video card that happens to work with the radeonhd driver and xrandr and dual head.
Comment 7 Matěj Cepl 2008-11-26 18:30:06 EST
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.
Comment 8 Andrew Overholt 2008-11-27 10:08:47 EST
I'm pretty sure I *did* provide enough data.
Comment 9 Matěj Cepl 2008-11-27 12:55:00 EST
(In reply to comment #3)
> What is the output of xrandr -q, please?

???
Comment 10 Andrew Overholt 2008-11-27 13:02:55 EST
(In reply to comment #9)
> (In reply to comment #3)
> > What is the output of xrandr -q, please?
> 
> ???

See comment #4.
Comment 11 Matěj Cepl 2008-11-27 18:07:36 EST
silly me, I am sorry.
Comment 12 Bug Zapper 2009-01-09 02:45:26 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.